/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once

#include "CoreMinimal.h"
#include "InworldRuntimeUtils.h"
#include "Misc/EngineVersion.h"

#include "InworldRuntimeEditorTypes.generated.h"

USTRUCT(BlueprintType)
struct INWORLDRUNTIMEEDITOR_API FInworldWelcomeEvent
{
	GENERATED_BODY()

	FInworldWelcomeEvent()
		: UnrealVersion(FString::Printf(TEXT("%d.%d.%d"), FEngineVersion::Current().GetMajor(),
			  FEngineVersion::Current().GetMinor(), FEngineVersion::Current().GetPatch()))
		, RuntimeVersion(GetInworldPluginVersion())
	{
	}

	UPROPERTY(BlueprintReadOnly, EditDefaultsOnly, Category = "Inworld|TrackEvents")
	FString UnrealVersion;

	UPROPERTY(BlueprintReadOnly, EditDefaultsOnly, Category = "Inworld|TrackEvents")
	FString RuntimeVersion;
};
